
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 处理队列
 */

export default class Queue {
	constructor(arg: Array) {
		this.arrData = arg || []
	}
	enqueue(el) {
		this.arrData.push(el)
	}
	dequeue(el) {
		return this.arrData.shift()
	}
	front() {
		return new Promise((resolve, reject) => {
			resolve(this.arrData[0])
		})
	}
	isNull() {
		return this.arrData.length === 0
	}
}
